#!/bin/ksh
#---------------------------------------------------------------------------
#--
#-- Licensed Materials - Property of IBM
#-- 5724-T05
#--
#-- (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#--
#-- US Government Users Restricted Rights - Use, duplication or
#-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#--
# *** (#) regen_sce_query.sh (converted from regen_sce_query.sql 20091021)
#---------------------------------------------------------------------------

echo "+ Adding new entities into existing system Active/Complete scenarios ..."

sqlplus -s /NOLOG  <<!
connect $DB_CONNECT
set serveroutput on size 1000000
set termout off
DECLARE

  vNewQuery  INTEGER;

  CURSOR csrScenario IS
     SELECT ID, UserID, TYPE, SystemID, Query_ID FROM PM_Scenario
       WHERE TYPE IN ('A','C')
       FOR UPDATE OF Query_ID;

BEGIN

  FOR vScenario IN csrScenario LOOP

    vNewQuery := WM_Scenario.Create_Scenario_Query( vScenario.SystemID, vScenario.TYPE );
    UPDATE PM_Scenario SET Query_ID = vNewQuery WHERE CURRENT OF csrScenario;
    -- Clean up the old unused rows that have just been replaced.
    BEGIN
      DELETE FROM wmq_query_text WHERE query_id = vScenario.Query_ID;
      DELETE FROM wmq_query WHERE query_id = vScenario.Query_ID;
    EXCEPTION
      WHEN OTHERS THEN
	NULL;
    END;

  END LOOP;

  COMMIT;
END;
/
exit;
!
