#!/bin/ksh
#---------------------------------------------------------------------------
#--
#-- Licensed Materials - Property of IBM
#-- 5724-T05
#--
#-- (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#--
#-- US Government Users Restricted Rights - Use, duplication or
#-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#--
# *** (#) update_ad_scan_tables.sh 
#-- Notes:
#-- This script is to include the missing scenario entity entries in ad_scan_tables to solve the active scenario issue (valnt00097843)
#-- Impacted entity is LNG & LMRS (introduced in RP9.3) and LAN, VLAN and TrafficManager (introduced in RP9.3 Patch 10)
#-- For LMRS entity, all its sub-child entity traffic table has been inserted into ad_scan_table because we are not sure which sub-child will show in the LMRS data files
#---------------------------------------------------------------------------

echo "+ Update activate scenario entity into AD_SCAN table ..."

sqlplus -s /NOLOG  <<!
connect $DB_CONNECT
set serveroutput on size 1000000
set termout off

    MERGE INTO AD_SCAN_TABLES ad
      USING (SELECT entity_id, table_name FROM WMD_DICT_TABLE
	    WHERE UPPER(table_name) IN ('LU_TF_U_LNG_TAB','LU_TF_U_LMRS_CPU_TAB',
	    'LU_TF_U_LMRS_DISK_TAB','LU_TF_U_LMRS_MEDIA_TAB', 'LU_TF_U_LMRS_TRAFF_TAB','LU_TF_NOR_RNCIN_L_ETHSTAT_TAB',
	    'LU_TF_NOR_RNCIN_V_ETHSTAT_TAB','LU_TF_NOR_RNCIN_EMPRIO_TAB')) wmd
    ON (ad.entity_id = wmd.entity_id AND
	  ad.table_name = wmd.table_name)
    WHEN NOT matched THEN
      INSERT (entity_id, table_name)
      VALUES (wmd.entity_id, wmd.table_name);

    COMMIT;

exit;
!
